### Method

# Vips Image csvsave

#### Declaration [src]

    int
    vips_csvsave (
      VipsImage* in,
      const char* filename,
      ...
    )

#### Description [src]

Writes the pixels in `in` to the `filename` as CSV (comma-separated values).

The image is written one line of text per scanline. Complex numbers are written as “(real,imaginary)” and will need extra parsing I guess. Only the first band is written.

`separator` gives the string to use to separate numbers in the output. The default is “\t” (tab).

Optional arguments

- `separator`: `gchararray`, separator string

See also

`vips_image_write_to_file()`.

This method is not directly available to language bindings.

#### Parameters

`filename`

  Type: `const char*`

  File to write to.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.